Table of Contents

Previous: -sixchar

## Option: sort

-sort
    Specifies that a sorted list of all modules used in the program be printed. This list is in ``prerequisite'' order, i.e. each module is printed only after all the modules from which it is called have been printed. This is also called a ``topological sort'' of the call tree. Each module is listed only once. Routines that are not in the call tree of the main program are omitted. If there are any cycles in the call graph (illegal in standard Fortran) they will be detected and diagnosed. Default = no.

    See also: -calltree, -crossref, -reference, -symtab, -vcg.

  Next: -source